%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Image/Magick.pm) perl(Test/More.pm) perl(Text/Wrapper.pm) perl(fields.pm)
# END SourceDeps(oneline)
%define module_version 1.13
%define module_name Schedule-TableImage
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.13
Release: alt1
Summary: creates a graphic schedule with labelled events.  User inputs the hours, days, and events to show. ...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RA/RAHUNT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Creates a image of a schedule with labelled events. 
    This schedule image is a grid in which days are labelled horizontally and hours are labelled vertically.  
    This is useful to a week view, although you can have as many days as you would like, with any label you like.
    Events are colored boxes with text labels for a given time and day. 
    If events overlap on a given day or time, the width of the day expands to accomodate both (or all) events.

    Requires Image::Magick, and Text::Wrapper. 


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/S*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.13-alt1
- initial import by package builder

